Compare commits

...

2 Commits

Author SHA1 Message Date
Juhani Krekelä 52d38902d3 Add packaging scripts 2023-06-04 22:31:54 +03:00
Juhani Krekelä abdbf5e6d1 Add README.md 2023-06-04 22:31:35 +03:00
5 changed files with 79 additions and 0 deletions

4
.gitignore vendored Normal file
View File

@ -0,0 +1,4 @@
tmp
*.tar.gz
*.zip
*.love

24
Makefile Normal file
View File

@ -0,0 +1,24 @@
LOVEFILE=reflect.love
WIN32_ZIPBALL=reflect-win32.zip
NIX_TARBALL=reflect-nix.tar.gz
.PHONY: all clean distclean run
all: $(LOVEFILE) $(WIN32_ZIPBALL) $(NIX_TARBALL)
$(LOVEFILE): bundle/main.lua bundle/conf.lua bundle/font.lua
cd bundle; zip -9 -r ../$@ *
$(WIN32_ZIPBALL): $(LOVEFILE) CC0 README.md
sh scripts/package-win32.sh
$(NIX_TARBALL): $(LOVEFILE) CC0 README.md
sh scripts/package-nix.sh
clean:
rm -rf $(LOVEFILE) $(WIN32_ZIPBALL) $(NIX_TARBALL) tmp/
distclean: clean
run: $(LOVEFILE)
love $<

16
README.md Normal file
View File

@ -0,0 +1,16 @@
Reflect
=======
Reflect is based on a browser game I played maybe 10 years ago on its creator's
homepage. If you recognize the game, please contact me.
Your aim is to protect cities from missiles using a paddle.
Controls
--------
Mouse to move. Click mouse button to explode missiles you've reflected.
License
-------
The game code and assets are under Creative Commons Zero 1.0 Universal license.
If other code or data is distributed alongside them, see the attached
license.txt file for information about their licenses.

10
scripts/package-nix.sh Normal file
View File

@ -0,0 +1,10 @@
die() {
echo "$0: Error: $*" >&2
exit 1
}
mkdir -p tmp/reflect-nix || die mkdir
cp reflect.love README.md CC0 tmp/reflect-nix
cd tmp
tar czvf ../reflect-nix.tar.gz reflect-nix

25
scripts/package-win32.sh Normal file
View File

@ -0,0 +1,25 @@
die() {
echo "$0: Error: $*" >&2
exit 1
}
get() {
wget https://github.com/love2d/love/releases/download/$version/love-$version-win32.zip || die wget
unzip love-$version-win32.zip || die unzip
test -e love-$version-win32/ || mv love-$version*-win32/ love-$version-win32 || die "Can't find win32 love directory"
}
version="11.4"
mkdir -p tmp/reflect-win32 || die mkdir
cd tmp
test -e love-$version-win32/ || get
cd love-$version-win32/
cat love.exe ../../reflect.love > ../reflect-win32/reflect.exe || die cat
cp *.dll license.txt ../reflect-win32/ || die cp
cp ../../README.md ../reflect-win32/readme.txt || die cp
cp ../../CC0 ../reflect-win32/CC0.txt || die cp
cd ..
zip -9 -r ../reflect-win32.zip reflect-win32